%define upstream_name	 HTTP-BrowserDetect
%define upstream_version 3.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Determine the Web browser, version, and platform from an HTTP user agent string
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The HTTP::BrowserDetect object does a number of tests on an HTTP user agent
string. The results of these tests are available via methods of the object.

This module is based upon the JavaScript browser detection code available at
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/\015$//' README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml TODO
%{perl_vendorlib}/HTTP
%{_mandir}/*/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 3.120.0-1.mga6
+ Revision: 1010668
- update to 3.12

* Thu Apr 14 2016 shlomif <shlomif> 3.100.0-1.mga6
+ Revision: 1001379
- update to 3.10

* Sun Mar 13 2016 shlomif <shlomif> 3.0.0-1.mga6
+ Revision: 989822
- update to 3.00

* Wed Feb 10 2016 shlomif <shlomif> 2.80.0-1.mga6
+ Revision: 953357
- update to 2.08

* Sat Jan 16 2016 shlomif <shlomif> 2.70.0-1.mga6
+ Revision: 923774
- update to 2.07

* Thu Jul 30 2015 sander85 <sander85> 2.50.0-1.mga6
+ Revision: 859031
- update to 2.05

* Sun Jul 05 2015 sander85 <sander85> 2.40.0-1.mga6
+ Revision: 851503
- update to 2.04

* Sat Oct 18 2014 umeabot <umeabot> 1.750.0-4.mga5
+ Revision: 788141
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.750.0-3.mga5
+ Revision: 745957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.750.0-2.mga5
+ Revision: 684994
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 sander85 <sander85> 1.750.0-1.mga5
+ Revision: 669070
- update to 1.75

* Sat Aug 16 2014 sander85 <sander85> 1.730.0-1.mga5
+ Revision: 664250
- update to 1.73

* Sat Jun 21 2014 sander85 <sander85> 1.720.0-1.mga5
+ Revision: 638350
- update to 1.72

* Tue May 20 2014 jquelin <jquelin> 1.710.0-1.mga5
+ Revision: 624289
- update to 1.71

* Tue Apr 15 2014 jquelin <jquelin> 1.700.0-1.mga5
+ Revision: 614816
- update to 1.70

* Mon Feb 10 2014 jquelin <jquelin> 1.690.0-1.mga5
+ Revision: 588409
- update to 1.69

* Sat Oct 19 2013 umeabot <umeabot> 1.610.0-2.mga4
+ Revision: 534098
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.610.0-1.mga4
+ Revision: 476278
- update to 1.61

* Fri Aug 30 2013 sander85 <sander85> 1.600.0-1.mga4
+ Revision: 473286
- update to 1.60

* Mon Aug 19 2013 sander85 <sander85> 1.590.0-1.mga4
+ Revision: 467743
- update to 1.59

* Fri Aug 16 2013 sander85 <sander85> 1.570.0-1.mga4
+ Revision: 466879
- update to 1.57

* Tue Jul 23 2013 sander85 <sander85> 1.550.0-1.mga4
+ Revision: 457389
- update to 1.55

* Mon Jul 22 2013 sander85 <sander85> 1.540.0-1.mga4
+ Revision: 457049
- update to 1.54

* Sun Jan 13 2013 umeabot <umeabot> 1.470.0-2.mga3
+ Revision: 368257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.470.0-1.mga3
+ Revision: 342195
- update to 1.47

* Tue Jun 05 2012 jquelin <jquelin> 1.440.0-1.mga3
+ Revision: 254998
- update to 1.44

* Tue Mar 06 2012 jquelin <jquelin> 1.420.0-1.mga2
+ Revision: 219974
- update to 1.42

* Wed Jan 25 2012 jquelin <jquelin> 1.410.0-1.mga2
+ Revision: 200886
- update to 1.41

* Fri Jan 06 2012 jquelin <jquelin> 1.400.0-1.mga2
+ Revision: 192598
- update to 1.40

* Thu Dec 08 2011 kharec <kharec> 1.390.0-1.mga2
+ Revision: 179194
- update to 1.39

* Thu Nov 10 2011 kharec <kharec> 1.360.0-1.mga2
+ Revision: 166327
- update to 1.36

* Sat Nov 05 2011 kharec <kharec> 1.350.0-1.mga2
+ Revision: 163570
- update to 1.35

* Thu Nov 03 2011 jquelin <jquelin> 1.340.0-1.mga2
+ Revision: 162219
- update to 1.34

* Thu Oct 13 2011 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 154317
- update to 1.32

* Mon Sep 26 2011 jquelin <jquelin> 1.300.0-1.mga2
+ Revision: 148091
- update to 1.30

* Fri Sep 02 2011 kharec <kharec> 1.290.0-1.mga2
+ Revision: 137920
- update to 1.29

* Thu Sep 01 2011 jquelin <jquelin> 1.280.0-1.mga2
+ Revision: 137550
- update to 1.28
- update to 1.26

* Wed Jun 15 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 106987
- update to 1.24

* Sun Mar 13 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 70485
- update to 1.22

* Sun Jan 23 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 33819
- mageia rebuild
- imported package perl-HTTP-BrowserDetect

